<?php
	require_once( '../../../wp-load.php' );
	require_once( '../../../wp-admin/includes/admin.php' );

	if ( ! is_user_logged_in() ) {
		die( 'You must be logged in to access this script.' );
	}

	if ( ! isset( $shortcodesES ) ) {
		$shortcodesES = new TemplaticShortcodes();
	}

	global $shortcode_tags,$post;
	$ordered_sct = array_keys( $shortcode_tags );
	sort( $ordered_sct );
	wp_enqueue_script( 'tinymce-pluginManager.js', TEMPL_URI . 'js/tinymce-pluginManager.js	' );
	wp_localize_script( 'tinymce-pluginManager.js', 'tinymce-pluginManager',
        array( 
            'shortcodesES_btnnm' => $shortcodesES->buttonName,
            'sanitize_text_field' => sanitize_text_field( $_GET['post'] ),
            'plugin_url' => plugin_dir_url( __FILE__ )
        )
    );
?>